*** old-NetBSD/src/bin/stty/key.c
--- NetBSD/src/bin/stty/key.c
***************
*** 67,72 ****
--- 67,74 ----
  void	f_sane __P((struct info *));
  void	f_size __P((struct info *));
  void	f_speed __P((struct info *));
+ void	f_ostart __P((struct info *));
+ void	f_ostop __P((struct info *));
  void	f_tty __P((struct info *));
  __END_DECLS
  
***************
*** 90,95 ****
--- 92,99 ----
  	{ "nl",		f_nl,		F_OFFOK },
  	{ "old",	f_tty,		0 },
  	{ "ospeed",	f_ospeed,	F_NEEDARG },
+ 	{ "ostart",	f_ostart,	0 },
+ 	{ "ostop",	f_ostop,	0 },
  	{ "raw",	f_raw,		F_OFFOK },
  	{ "rows",	f_rows,		F_NEEDARG },
  	{ "sane",	f_sane,		0 },
***************
*** 302,305 ****
--- 306,325 ----
  	tmp = TTYDISC;
  	if (ioctl(0, TIOCSETD, &tmp) < 0)
  		err(1, "TIOCSETD");
+ }
+ 
+ void
+ f_ostart(ip)
+ 	struct info *ip;
+ {
+ 	if (ioctl (0, TIOCSTART) < 0)
+ 		err(1, "TIOCSTART");
+ }
+ 
+ void
+ f_ostop(ip)
+ 	struct info *ip;
+ {
+ 	if (ioctl (0, TIOCSTOP) < 0)
+ 		err(1, "TIOCSTOP");
  }
*** old-NetBSD/src/gnu/lib/libg++/iostream/stdstrbufs.C
--- NetBSD/src/gnu/lib/libg++/iostream/stdstrbufs.C
***************
*** 53,62 ****
--- 53,70 ----
  #define vt_filebuf __vtbl__7filebuf
  extern char vt_filebuf[1];
  #elif _G_DOLLAR_IN_LABEL
+ #if __GNUC_MINOR__ >= 5		// XXX I'm not sure it was introduced in 2.5
+ extern char vt_filebuf[1] asm(UNDERSCORE "_vt$7filebuf");
+ #else
  extern char vt_filebuf[1] asm(UNDERSCORE "_vt$filebuf");
+ #endif
+ #else
+ #if __GNUC_MINOR__ >= 5		// XXX I'm not sure it was introduced in 2.5
+ extern char vt_filebuf[1] asm(UNDERSCORE "_vt.7filebuf");
  #else
  extern char vt_filebuf[1] asm(UNDERSCORE "_vt.filebuf");
  #endif
+ #endif
  #endif /* !defined(vt_filebuf) */
  
  struct _fake_filebuf {
***************
*** 85,93 ****
--- 93,109 ----
  #define vt_stdiobuf __vtbl__8stdiobuf
  extern char vt_stdiobuf[1];
  #elif _G_DOLLAR_IN_LABEL
+ #if __GNUC_MINOR__ >= 5		// XXX I'm not sure it was introduced in 2.5
+ extern char vt_stdiobuf[1] asm(UNDERSCORE "_vt$8stdiobuf");
+ #else
  extern char vt_stdiobuf[1] asm(UNDERSCORE "_vt$stdiobuf");
+ #endif
+ #else
+ #if __GNUC_MINOR__ >= 5		// XXX I'm not sure it was introduced in 2.5
+ extern char vt_stdiobuf[1] asm(UNDERSCORE "_vt.8stdiobuf");
  #else
  extern char vt_stdiobuf[1] asm(UNDERSCORE "_vt.stdiobuf");
+ #endif
  #endif
  #endif /* !defined(vt_stdiobuf) */
  
*** old-NetBSD/src/gnu/lib/libg++/iostream/strstream.C
--- NetBSD/src/gnu/lib/libg++/iostream/strstream.C
***************
*** 144,150 ****
  	// This can lose in pathological cases (ptr near the end
  	// of the address space).  A better solution might be to
  	// adjust the size on underflow/overflow.  FIXME.
! 	for (int s; s = 2*size, s > 0 && ptr + s > ptr && s < 0x4000000L; )
  	    size = s;
  	size = s;
  #else
--- 144,151 ----
  	// This can lose in pathological cases (ptr near the end
  	// of the address space).  A better solution might be to
  	// adjust the size on underflow/overflow.  FIXME.
! 	int s;
! 	for (; s = 2*size, s > 0 && ptr + s > ptr && s < 0x4000000L; )
  	    size = s;
  	size = s;
  #else
*** old-NetBSD/src/gnu/lib/libg++/libg++/ACG.cc
--- NetBSD/src/gnu/lib/libg++/libg++/ACG.cc
***************
*** 188,194 ****
      //	Determine the size of the state table
      //
      
!     for (register int l = 0;
  	 randomStateTable[l][0] != -1 && randomStateTable[l][1] < size;
  	 l++);
      
--- 188,195 ----
      //	Determine the size of the state table
      //
      
!     register int l;
!     for (l = 0;
  	 randomStateTable[l][0] != -1 && randomStateTable[l][1] < size;
  	 l++);
      
*** old-NetBSD/src/gnu/lib/libg++/libg++/Fix.cc
--- NetBSD/src/gnu/lib/libg++/libg++/Fix.cc
***************
*** 225,231 ****
      longer = y, shorter = x;
    if ( r == NULL )
      r = new_Fix(longer->len);
!   for ( int i=r->siz-1; i >= longer->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= shorter->siz; i-- )
      r->s[i] = longer->s[i];
--- 225,232 ----
      longer = y, shorter = x;
    if ( r == NULL )
      r = new_Fix(longer->len);
!   int i;
!   for ( i=r->siz-1; i >= longer->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= shorter->siz; i-- )
      r->s[i] = longer->s[i];
***************
*** 251,257 ****
      longer = y, shorter = x;
    if ( r == NULL )
      r = new_Fix(longer->len);
!   for ( int i=r->siz-1; i >= longer->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= shorter->siz; i-- )
      r->s[i] = (longer == x ? x->s[i] : -y->s[i]);
--- 252,259 ----
      longer = y, shorter = x;
    if ( r == NULL )
      r = new_Fix(longer->len);
!   int i;
!   for ( i=r->siz-1; i >= longer->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= shorter->siz; i-- )
      r->s[i] = (longer == x ? x->s[i] : -y->s[i]);
***************
*** 279,285 ****
      x = negate(x,X.rep);
    if ( ysign )
      y = negate(y,Y.rep);
!   for ( int i=0; i < r->siz; i++ )
      r->s[i] = 0;
    for ( i=x->siz-1; i >= 0; i-- )
    {
--- 281,288 ----
      x = negate(x,X.rep);
    if ( ysign )
      y = negate(y,Y.rep);
!   int i;
!   for ( i=0; i < r->siz; i++ )
      r->s[i] = 0;
    for ( i=x->siz-1; i >= 0; i-- )
    {
***************
*** 310,316 ****
      (*Fix_range_error_handler)("multiply by int -- int too large");
    if ( r == NULL )
      r = new_Fix(x->len);
!   for ( int i=r->siz-1; i >= x->siz; i-- )
      r->s[i] = 0;
    int32 a, carry = 0;
    for ( ; i > 0; i-- )
--- 313,320 ----
      (*Fix_range_error_handler)("multiply by int -- int too large");
    if ( r == NULL )
      r = new_Fix(x->len);
!   int i;
!   for ( i=r->siz-1; i >= x->siz; i-- )
      r->s[i] = 0;
    int32 a, carry = 0;
    for ( ; i > 0; i-- )
***************
*** 418,424 ****
  
    int xr = 16 - xl;
    uint16 xrmask = 0xffffL >> xr;
!   for ( int i=0; i < ilow; i++, rs+=u, xsl+=u, xsr+=u )
      *rs = 0;
    for ( ; i < ihigh; i++, rs+=u, xsl+=u, xsr+=u )
      *rs = (*xsl << xl) + ((*xsr >> xr) & xrmask);
--- 422,429 ----
  
    int xr = 16 - xl;
    uint16 xrmask = 0xffffL >> xr;
!   int i;
!   for ( i=0; i < ilow; i++, rs+=u, xsl+=u, xsr+=u )
      *rs = 0;
    for ( ; i < ihigh; i++, rs+=u, xsl+=u, xsr+=u )
      *rs = (*xsl << xl) + ((*xsr >> xr) & xrmask);
***************
*** 434,440 ****
    if ( r == NULL )
      r = new_Fix(x->len);
    uint32 carry = 1;
!   for ( int i=r->siz-1; i >= x->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= 0; i-- )
    {
--- 439,446 ----
    if ( r == NULL )
      r = new_Fix(x->len);
    uint32 carry = 1;
!   int i;
!   for ( i=r->siz-1; i >= x->siz; i-- )
      r->s[i] = 0;
    for ( ; i >= 0; i-- )
    {
*** old-NetBSD/src/gnu/lib/libg++/libg++/Fix.h
--- NetBSD/src/gnu/lib/libg++/libg++/Fix.h
***************
*** 54,60 ****
  
  public:
  		  Fix();
!                   Fix(Fix&);
  		  Fix(double);
                    Fix(int);
                    Fix(int, const Fix&);
--- 54,60 ----
  
  public:
  		  Fix();
!                   Fix(const Fix&);
  		  Fix(double);
                    Fix(int);
                    Fix(int, const Fix&);
***************
*** 199,205 ****
  {
    uint16 *ts = to->s, *fs = from->s;
    int ilim = to->siz < from->siz ? to->siz : from->siz;
!   for ( int i=0; i < ilim; i++ )
      *ts++ = *fs++;
    for ( ; i < to->siz; i++ )
      *ts++ = 0;
--- 199,206 ----
  {
    uint16 *ts = to->s, *fs = from->s;
    int ilim = to->siz < from->siz ? to->siz : from->siz;
!   int i;
!   for ( i=0; i < ilim; i++ )
      *ts++ = *fs++;
    for ( ; i < to->siz; i++ )
      *ts++ = 0;
***************
*** 229,235 ****
    rep = new_Fix(Fix_default_length,d);
  }
  
! inline Fix::Fix(Fix&  y)
  {
    rep = y.rep; rep->ref++;
  }
--- 230,236 ----
    rep = new_Fix(Fix_default_length,d);
  }
  
! inline Fix::Fix(const Fix&  y)
  {
    rep = y.rep; rep->ref++;
  }
*** old-NetBSD/src/gnu/lib/libg++/libg++/Fix24.h
--- NetBSD/src/gnu/lib/libg++/libg++/Fix24.h
***************
*** 355,361 ****
  
  inline Fix24 operator>>(const Fix24& a, int b) 	
  { 
!   return (a.m >> b) & 0xffffff00L; 
  }
  
  inline  Fix24&  Fix24:: operator+=(const Fix24&  f)
--- 355,361 ----
  
  inline Fix24 operator>>(const Fix24& a, int b) 	
  { 
!   return (a.m >> b) & (long)0xffffff00L; 
  }
  
  inline  Fix24&  Fix24:: operator+=(const Fix24&  f)
*** old-NetBSD/src/gnu/lib/libg++/libg++/Integer.cc
--- NetBSD/src/gnu/lib/libg++/libg++/Integer.cc
***************
*** 1882,1888 ****
    long k = 0;
    int l = (ul <= vl)? ul : vl;
    int cont = 1;
!   for (int i = 0;  i < l && cont; ++i)
    {
      unsigned long a =  (i < ul)? u->s[i] : 0;
      unsigned long b =  (i < vl)? v->s[i] : 0;
--- 1882,1889 ----
    long k = 0;
    int l = (ul <= vl)? ul : vl;
    int cont = 1;
!   int i;
!   for (i = 0;  i < l && cont; ++i)
    {
      unsigned long a =  (i < ul)? u->s[i] : 0;
      unsigned long b =  (i < vl)? v->s[i] : 0;
*** old-NetBSD/src/gnu/lib/libg++/libg++/Obstack.cc
--- NetBSD/src/gnu/lib/libg++/libg++/Obstack.cc
***************
*** 85,91 ****
  
  int Obstack::contains(void* obj) // true if obj somewhere in Obstack
  {
!   for (_obstack_chunk* ch = chunk; 
         ch != 0 && (obj < (void*)ch || obj >= (void*)(ch->limit)); 
         ch = ch->prev);
  
--- 85,92 ----
  
  int Obstack::contains(void* obj) // true if obj somewhere in Obstack
  {
!   _obstack_chunk* ch;
!   for (ch = chunk; 
         ch != 0 && (obj < (void*)ch || obj >= (void*)(ch->limit)); 
         ch = ch->prev);
  
*** old-NetBSD/src/gnu/lib/libg++/libg++/String.cc
--- NetBSD/src/gnu/lib/libg++/libg++/String.cc
***************
*** 965,971 ****
  {
    String sep = separator;
    int xlen = 0;
!   for (int i = 0; i < n; ++i)
      xlen += src[i].length();
    xlen += (n - 1) * sep.length();
  
--- 965,972 ----
  {
    String sep = separator;
    int xlen = 0;
!   int i;
!   for (i = 0; i < n; ++i)
      xlen += src[i].length();
    xlen += (n - 1) * sep.length();
  
***************
*** 1117,1123 ****
    const char* topx = &(xchars[x.length()]);
    const char* ys = &(ychars[startpos]);
    const char* topy = &(ychars[y.length()]);
!   for (int l = 0; xs < topx && ys < topy && *xs++ == *ys++; ++l);
    r.rep = Salloc(r.rep, ss, l, l);
  }
  
--- 1118,1125 ----
    const char* topx = &(xchars[x.length()]);
    const char* ys = &(ychars[startpos]);
    const char* topy = &(ychars[y.length()]);
!   int l;
!   for (l = 0; xs < topx && ys < topy && *xs++ == *ys++; ++l);
    r.rep = Salloc(r.rep, ss, l, l);
  }
  
***************
*** 1129,1135 ****
    const char* botx = xchars;
    const char* ys = &(ychars[y.length() + startpos]);
    const char* boty = ychars;
!   for (int l = 0; xs >= botx && ys >= boty && *xs == *ys ; --xs, --ys, ++l);
    r.rep = Salloc(r.rep, ++xs, l, l);
  }
  
--- 1131,1138 ----
    const char* botx = xchars;
    const char* ys = &(ychars[y.length() + startpos]);
    const char* boty = ychars;
!   int l;
!   for (l = 0; xs >= botx && ys >= boty && *xs == *ys ; --xs, --ys, ++l);
    r.rep = Salloc(r.rep, ++xs, l, l);
  }
  
*** old-NetBSD/src/gnu/lib/libg++/libg++/dtoa.cc
--- NetBSD/src/gnu/lib/libg++/libg++/dtoa.cc
***************
*** 179,185 ****
            if (ch > '5') // properly round: unavoidable propagation
            {
              int carry = 1;
!             for (char* p = f - 1; p >= fwork && carry; --p)
              {
                ++*p;
                if (*p > '9')
--- 179,186 ----
            if (ch > '5') // properly round: unavoidable propagation
            {
              int carry = 1;
! 	    char *p;
!             for (p = f - 1; p >= fwork && carry; --p)
              {
                ++*p;
                if (*p > '9')
***************
*** 313,319 ****
    char* fmtbase = (char *) _libgxx_fmtq.alloc(fmtwidth + pad + 1);
    char* fmt = fmtbase;
    
!   for (int i = 0; i < pad; ++i) *fmt++ = ' ';
    
    if (is_neg) *fmt++ = '-';
    
--- 314,321 ----
    char* fmtbase = (char *) _libgxx_fmtq.alloc(fmtwidth + pad + 1);
    char* fmt = fmtbase;
    
!   int i;
!   for (i = 0; i < pad; ++i) *fmt++ = ' ';
    
    if (is_neg) *fmt++ = '-';
    
*** old-NetBSD/src/gnu/lib/libg++/libg++/error.cc
--- NetBSD/src/gnu/lib/libg++/libg++/error.cc
***************
*** 20,26 ****
  #endif
  #include <builtin.h>
  
! extern "C" _VOLATILE_VOID abort();
  
  _VOLATILE_VOID default_one_arg_error_handler(const char* msg)
  {
--- 20,26 ----
  #endif
  #include <builtin.h>
  
! extern "C" void abort();
  
  _VOLATILE_VOID default_one_arg_error_handler(const char* msg)
  {
*** /dev/null
--- NetBSD/src/gnu/usr.bin/groff/Makefile.inc
***************
*** 0 ****
--- 1,3 ----
+ #	$NetBSD: Makefile.inc,v 1.1 1995/08/10 09:08:54 niklas Exp $
+ 
+ LINK=		$(CXX)
*** old-NetBSD/src/gnu/usr.bin/groff/addftinfo/addftinfo.cc
--- NetBSD/src/gnu/usr.bin/groff/addftinfo/addftinfo.cc
***************
*** 34,40 ****
  static void usage();
  static void convert_font(const font_params &, FILE *, FILE *);
  
! typedef font_params::*param_t;
  
  static struct {
    const char *name;
--- 34,40 ----
  static void usage();
  static void convert_font(const font_params &, FILE *, FILE *);
  
! typedef int font_params::*param_t;
  
  static struct {
    const char *name;
***************
*** 89,102 ****
    param.comma_depth = DEFAULT_COMMA_DEPTH;
    param.desc_depth = DEFAULT_DESC_DEPTH;
    param.body_depth = DEFAULT_BODY_DEPTH;
!   for (int i = 1; i < argc && argv[i][0] == '-'; i++) {
      if (argv[i][1] == '-' && argv[i][2] == '\0') {
        i++;
        break;
      }
      if (i + 1 >= argc)
        usage();
!     for (int j = 0;; j++) {
        if (j >= sizeof(param_table)/sizeof(param_table[0]))
  	fatal("parameter `%1' not recognized", argv[i] + 1);
        if (strcmp(param_table[j].name, argv[i] + 1) == 0)
--- 89,104 ----
    param.comma_depth = DEFAULT_COMMA_DEPTH;
    param.desc_depth = DEFAULT_DESC_DEPTH;
    param.body_depth = DEFAULT_BODY_DEPTH;
!   int i;
!   for (i = 1; i < argc && argv[i][0] == '-'; i++) {
      if (argv[i][1] == '-' && argv[i][2] == '\0') {
        i++;
        break;
      }
      if (i + 1 >= argc)
        usage();
!     int j;
!     for (j = 0;; j++) {
        if (j >= sizeof(param_table)/sizeof(param_table[0]))
  	fatal("parameter `%1' not recognized", argv[i] + 1);
        if (strcmp(param_table[j].name, argv[i] + 1) == 0)
*** old-NetBSD/src/gnu/usr.bin/groff/eqn/delim.cc
--- NetBSD/src/gnu/usr.bin/groff/eqn/delim.cc
***************
*** 276,282 ****
    printf(".ds " DELIM_STRING "\n");
    delimiter *d = delim_table;
    int delim_len = strlen(delim);
!   for (int i = 0; i < DELIM_TABLE_SIZE; i++, d++)
      if (strncmp(delim, d->name, delim_len) == 0 
  	&& (left_or_right & d->flags) != 0)
        break;
--- 276,283 ----
    printf(".ds " DELIM_STRING "\n");
    delimiter *d = delim_table;
    int delim_len = strlen(delim);
!   int i;
!   for (i = 0; i < DELIM_TABLE_SIZE; i++, d++)
      if (strncmp(delim, d->name, delim_len) == 0 
  	&& (left_or_right & d->flags) != 0)
        break;
*** old-NetBSD/src/gnu/usr.bin/groff/eqn/lex.cc
--- NetBSD/src/gnu/usr.bin/groff/eqn/lex.cc
***************
*** 251,257 ****
  
  void init_table(const char *device)
  {
!   for (int i = 0; i < sizeof(token_table)/sizeof(token_table[0]); i++) {
      definition *def = new definition;
      def->is_macro = 0;
      def->tok = token_table[i].token;
--- 251,258 ----
  
  void init_table(const char *device)
  {
!   int i;
!   for (i = 0; i < sizeof(token_table)/sizeof(token_table[0]); i++) {
      definition *def = new definition;
      def->is_macro = 0;
      def->tok = token_table[i].token;
***************
*** 472,478 ****
  					   char **av, input *x)
  : input(x), argc(ac), ap(0)
  {
!   for (int i = 0; i < argc; i++)
      argv[i] = av[i];
    p = s = strsave(body);
    int j = 0;
--- 473,480 ----
  					   char **av, input *x)
  : input(x), argc(ac), ap(0)
  {
!   int i;
!   for (i = 0; i < argc; i++)
      argv[i] = av[i];
    p = s = strsave(body);
    int j = 0;
***************
*** 687,693 ****
  {
    char *argv[9];
    int argc = 0;
!   for (int i = 0; i < 9; i++)
      argv[i] = 0;
    int level = 0;
    int c;
--- 689,696 ----
  {
    char *argv[9];
    int argc = 0;
!   int i;
!   for (i = 0; i < 9; i++)
      argv[i] = 0;
    int level = 0;
    int c;
*** old-NetBSD/src/gnu/usr.bin/groff/eqn/list.cc
--- NetBSD/src/gnu/usr.bin/groff/eqn/list.cc
***************
*** 174,180 ****
  void list_box::compute_sublist_width(int n)
  {
    int total_spacing = 0;
!   for (int i = 1; i < n + 1 && i < list.len; i++)
      total_spacing += compute_spacing(is_script, list.p[i-1]->spacing_type,
  				     list.p[i]->spacing_type);
    printf(".nr " TEMP_REG " %dM", total_spacing);
--- 174,181 ----
  void list_box::compute_sublist_width(int n)
  {
    int total_spacing = 0;
!   int i;
!   for (i = 1; i < n + 1 && i < list.len; i++)
      total_spacing += compute_spacing(is_script, list.p[i-1]->spacing_type,
  				     list.p[i]->spacing_type);
    printf(".nr " TEMP_REG " %dM", total_spacing);
*** old-NetBSD/src/gnu/usr.bin/groff/grodvi/dvi.cc
--- NetBSD/src/gnu/usr.bin/groff/grodvi/dvi.cc
***************
*** 305,311 ****
    if (env->size != cur_point_size || f != cur_font) {
      cur_font = f;
      cur_point_size = env->size;
!     for (int i = 0;; i++) {
        if (i >= FONTS_MAX) {
  	fatal("too many output fonts required");
        }
--- 305,312 ----
    if (env->size != cur_point_size || f != cur_font) {
      cur_font = f;
      cur_point_size = env->size;
!     int i;
!     for (i = 0;; i++) {
        if (i >= FONTS_MAX) {
  	fatal("too many output fonts required");
        }
*** old-NetBSD/src/gnu/usr.bin/groff/groff/groff.cc
--- NetBSD/src/gnu/usr.bin/groff/groff/groff.cc
***************
*** 50,57 ****
  }
  #endif /* not STDLIB_H_DECLARES_PUTENV */
  
- const char *strsignal(int);
- 
  const int SOELIM_INDEX = 0;
  const int REFER_INDEX = SOELIM_INDEX + 1;
  const int PIC_INDEX = REFER_INDEX + 1;
--- 50,55 ----
***************
*** 281,287 ****
    commands[TROFF_INDEX].append_arg("-T", device);
    commands[EQN_INDEX].append_arg("-T", device);
  
!   for (int first_index = 0; first_index < TROFF_INDEX; first_index++)
      if (commands[first_index].get_name() != 0)
        break;
    if (optind < argc) {
--- 279,286 ----
    commands[TROFF_INDEX].append_arg("-T", device);
    commands[EQN_INDEX].append_arg("-T", device);
  
!   int first_index;
!   for (first_index = 0; first_index < TROFF_INDEX; first_index++)
      if (commands[first_index].get_name() != 0)
        break;
    if (optind < argc) {
***************
*** 349,355 ****
  
  void print_commands()
  {
!   for (int last = SPOOL_INDEX; last >= 0; last--)
      if (commands[last].get_name() != 0)
        break;
    for (int i = 0; i <= last; i++)
--- 348,355 ----
  
  void print_commands()
  {
!   int last;
!   for (last = SPOOL_INDEX; last >= 0; last--)
      if (commands[last].get_name() != 0)
        break;
    for (int i = 0; i <= last; i++)
***************
*** 463,469 ****
    str += ' ';
    int needs_quoting = 0;
    int contains_single_quote = 0;
!   for (const char *p = arg; *p != '\0'; p++)
      switch (*p) {
      case ';':
      case '&':
--- 463,470 ----
    str += ' ';
    int needs_quoting = 0;
    int contains_single_quote = 0;
!   const char *p;
!   for (p = arg; *p != '\0'; p++)
      switch (*p) {
      case ';':
      case '&':
*** old-NetBSD/src/gnu/usr.bin/groff/grops/ps.cc
--- NetBSD/src/gnu/usr.bin/groff/grops/ps.cc
***************
*** 172,178 ****
  ps_output &ps_output::put_string(const char *s, int n)
  {
    int len = 0;
!   for (int i = 0; i < n; i++) {
      char c = s[i];
      if (isascii(c) && isprint(c)) {
        if (c == '(' || c == ')' || c == '\\')
--- 172,179 ----
  ps_output &ps_output::put_string(const char *s, int n)
  {
    int len = 0;
!   int i;
!   for (i = 0; i < n; i++) {
      char c = s[i];
      if (isascii(c) && isprint(c)) {
        if (c == '(' || c == ')' || c == '\\')
***************
*** 646,652 ****
  void ps_printer::define_encoding(const char *encoding, int encoding_index)
  {
    char *vec[256];
!   for (int i = 0; i < 256; i++)
      vec[i] = 0;
    char *path;
    FILE *fp = font::open_file(encoding, &path);
--- 647,654 ----
  void ps_printer::define_encoding(const char *encoding, int encoding_index)
  {
    char *vec[256];
!   int i;
!   for (i = 0; i < 256; i++)
      vec[i] = 0;
    char *path;
    FILE *fp = font::open_file(encoding, &path);
***************
*** 1193,1199 ****
      "invis", &ps_printer::do_invis,
      "endinvis", &ps_printer::do_endinvis,
    };
!   for (char *p = arg; *p == ' ' || *p == '\n'; p++)
      ;
    char *tag = p;
    for (; *p != '\0' && *p != ':' && *p != ' ' && *p != '\n'; p++)
--- 1195,1202 ----
      "invis", &ps_printer::do_invis,
      "endinvis", &ps_printer::do_endinvis,
    };
!   char *p;
!   for (p = arg; *p == ' ' || *p == '\n'; p++)
      ;
    char *tag = p;
    for (; *p != '\0' && *p != ':' && *p != ' ' && *p != '\n'; p++)
***************
*** 1340,1346 ****
    flush_sbuf();
    while (*arg == ' ' || *arg == '\n')
      arg++;
!   for (char *p = arg; *p != '\0' && *p != ' ' && *p != '\n'; p++)
      ;
    if (*p != '\0')
      *p++ = '\0';
--- 1343,1350 ----
    flush_sbuf();
    while (*arg == ' ' || *arg == '\n')
      arg++;
!   char *p;
!   for (p = arg; *p != '\0' && *p != ' ' && *p != '\n'; p++)
      ;
    if (*p != '\0')
      *p++ = '\0';
*** old-NetBSD/src/gnu/usr.bin/groff/grops/psrm.cc
--- NetBSD/src/gnu/usr.bin/groff/grops/psrm.cc
***************
*** 121,127 ****
  					    string &version,
  					    unsigned revision)
  {
!   for (resource *r = resource_list; r; r = r->next)
      if (r->type == type
  	&& r->name == name
  	&& r->version == version
--- 121,128 ----
  					    string &version,
  					    unsigned revision)
  {
!   resource *r;
!   for (r = resource_list; r; r = r->next)
      if (r->type == type
  	&& r->name == name
  	&& r->version == version
***************
*** 137,143 ****
  
  resource *resource_manager::lookup_font(const char *name)
  {
!   for (resource *r = resource_list; r; r = r->next)
      if (r->type == RESOURCE_FONT
  	&& strlen(name) == r->name.length()
  	&& memcmp(name, r->name.contents(), r->name.length()) == 0)
--- 138,145 ----
  
  resource *resource_manager::lookup_font(const char *name)
  {
!   resource *r;
!   for (r = resource_list; r; r = r->next)
      if (r->type == RESOURCE_FONT
  	&& strlen(name) == r->name.length()
  	&& memcmp(name, r->name.contents(), r->name.length()) == 0)
***************
*** 159,172 ****
  void resource_manager::document_setup(ps_output &out)
  {
    int nranks = 0;
!   for (resource *r = resource_list; r; r = r->next)
      if (r->rank >= nranks)
        nranks = r->rank + 1;
    if (nranks > 0) {
      // Sort resource_list in reverse order of rank.
      Presource *head = new Presource[nranks + 1];
      Presource **tail = new Presource *[nranks + 1];
!     for (int i = 0; i < nranks + 1; i++) {
        head[i] = 0;
        tail[i] = &head[i];
      }
--- 161,176 ----
  void resource_manager::document_setup(ps_output &out)
  {
    int nranks = 0;
!   resource *r;
!   for (r = resource_list; r; r = r->next)
      if (r->rank >= nranks)
        nranks = r->rank + 1;
    if (nranks > 0) {
      // Sort resource_list in reverse order of rank.
      Presource *head = new Presource[nranks + 1];
      Presource **tail = new Presource *[nranks + 1];
!     int i;
!     for (i = 0; i < nranks + 1; i++) {
        head[i] = 0;
        tail[i] = &head[i];
      }
***************
*** 510,516 ****
      error("missing resource type");
      return 0;
    }
!   for (int ri = 0; ri < NRESOURCES; ri++)
      if (strlen(resource_table[ri]) == *ptr - name
  	&& memcmp(resource_table[ri], name, *ptr - name) == 0)
        break;
--- 514,521 ----
      error("missing resource type");
      return 0;
    }
!   int ri;
!   for (ri = 0; ri < NRESOURCES; ri++)
      if (strlen(resource_table[ri]) == *ptr - name
  	&& memcmp(resource_table[ri], name, *ptr - name) == 0)
        break;
***************
*** 833,839 ****
      do {
        ++ptr;
      } while (*ptr != '\0' && !white_space(*ptr));
!     for (int i = 0; i < NEXTENSIONS; i++)
        if (strlen(extension_table[i]) == ptr - name
  	  && memcmp(extension_table[i], name, ptr - name) == 0) {
  	flags |= (1 << i);
--- 838,845 ----
      do {
        ++ptr;
      } while (*ptr != '\0' && !white_space(*ptr));
!     int i;
!     for (i = 0; i < NEXTENSIONS; i++)
        if (strlen(extension_table[i]) == ptr - name
  	  && memcmp(extension_table[i], name, ptr - name) == 0) {
  	flags |= (1 << i);
***************
*** 932,938 ****
        if (buf[0] == '%') {
  	if (buf[1] == '%') {
  	  const char *ptr;
! 	  for (int i = 0; i < NCOMMENTS; i++)
  	    if (ptr = matches_comment(buf, comment_table[i].name)) {
  	      copy_this_line
  		= (this->*(comment_table[i].proc))(ptr, rank, fp, outfp);
--- 938,945 ----
        if (buf[0] == '%') {
  	if (buf[1] == '%') {
  	  const char *ptr;
! 	  int i;
! 	  for (i = 0; i < NCOMMENTS; i++)
  	    if (ptr = matches_comment(buf, comment_table[i].name)) {
  	      copy_this_line
  		= (this->*(comment_table[i].proc))(ptr, rank, fp, outfp);
***************
*** 1028,1034 ****
      return;
    }
    int level = 0;
!   for (int i = 0; i < len; i++)
      if (str[i] == '(')
        level++;
      else if (str[i] == ')' && --level < 0)
--- 1035,1042 ----
      return;
    }
    int level = 0;
!   int i;
!   for (i = 0; i < len; i++)
      if (str[i] == '(')
        level++;
      else if (str[i] == ')' && --level < 0)
*** old-NetBSD/src/gnu/usr.bin/groff/grotty/tty.cc
--- NetBSD/src/gnu/usr.bin/groff/grotty/tty.cc
***************
*** 218,224 ****
    // characters before normal characters at each hpos, and otherwise
    // in order of occurrence.
  
!   for (glyph **pp = lines + (vpos - 1); *pp; pp = &(*pp)->next)
      if (int((*pp)->hpos) < hpos
  	|| ((*pp)->hpos == hpos && (*pp)->draw_mode() >= g->draw_mode()))
        break;
--- 218,225 ----
    // characters before normal characters at each hpos, and otherwise
    // in order of occurrence.
  
!   glyph **pp;
!   for (pp = lines + (vpos - 1); *pp; pp = &(*pp)->next)
      if (int((*pp)->hpos) < hpos
  	|| ((*pp)->hpos == hpos && (*pp)->draw_mode() >= g->draw_mode()))
        break;
***************
*** 270,276 ****
    if (page_length % font::vert != 0)
      error("vertical position at end of page not multiple of vertical resolution");
    int lines_per_page = page_length / font::vert;
!   for (int last_line = nlines; last_line > 0; last_line--)
      if (lines[last_line - 1])
        break;
  #if 0
--- 271,278 ----
    if (page_length % font::vert != 0)
      error("vertical position at end of page not multiple of vertical resolution");
    int lines_per_page = page_length / font::vert;
!   int last_line;
!   for (last_line = nlines; last_line > 0; last_line--)
      if (lines[last_line - 1])
        break;
  #if 0
*** old-NetBSD/src/gnu/usr.bin/groff/include/ptable.h
--- NetBSD/src/gnu/usr.bin/groff/include/ptable.h
***************
*** 96,102 ****
  {									      \
    assert(key != 0);							      \
    unsigned long h = hash_string(key);					      \
!   for (unsigned n = unsigned(h % size);					      \
         v[n].key != 0;							      \
         n = (n == 0 ? size - 1 : n - 1))					      \
      if (strcmp(v[n].key, key) == 0) {					      \
--- 96,103 ----
  {									      \
    assert(key != 0);							      \
    unsigned long h = hash_string(key);					      \
!   unsigned n;                                                                 \
!   for (n = unsigned(h % size);					              \
         v[n].key != 0;							      \
         n = (n == 0 ? size - 1 : n - 1))					      \
      if (strcmp(v[n].key, key) == 0) {					      \
***************
*** 116,122 ****
  	if (oldv[i].val == 0)						      \
  	  a_delete oldv[i].key;						      \
  	else {								      \
! 	  for (unsigned j = unsigned(hash_string(oldv[i].key) % size);	      \
  	       v[j].key != 0;						      \
  	       j = (j == 0 ? size - 1 : j - 1))				      \
  		 ;							      \
--- 117,124 ----
  	if (oldv[i].val == 0)						      \
  	  a_delete oldv[i].key;						      \
  	else {								      \
! 	  unsigned j;						              \
! 	  for (j = unsigned(hash_string(oldv[i].key) % size);	              \
  	       v[j].key != 0;						      \
  	       j = (j == 0 ? size - 1 : j - 1))				      \
  		 ;							      \
*** old-NetBSD/src/gnu/usr.bin/groff/indxbib/indxbib.cc
--- NetBSD/src/gnu/usr.bin/groff/indxbib/indxbib.cc
***************
*** 242,248 ****
      string path;
      int lineno = 1;
      for (;;) {
!       for (int c = getc(fp); c != '\n' && c != EOF; c = getc(fp)) {
  	if (c == '\0')
  	  error_with_file_and_line(foption, lineno,
  				   "nul character in pathname ignored");
--- 242,249 ----
      string path;
      int lineno = 1;
      for (;;) {
!       int c;
!       for (c = getc(fp); c != '\n' && c != EOF; c = getc(fp)) {
  	if (c == '\0')
  	  error_with_file_and_line(foption, lineno,
  				   "nul character in pathname ignored");
*** old-NetBSD/src/gnu/usr.bin/groff/libbib/index.cc
--- NetBSD/src/gnu/usr.bin/groff/libbib/index.cc
***************
*** 506,512 ****
      return first_list;
    if (*second_list < 0)
      return second_list;
!   for (const int *p = first_list; *p >= 0; p++)
      ;
    int len = p - first_list;
    for (p = second_list; *p >= 0; p++)
--- 506,513 ----
      return first_list;
    if (*second_list < 0)
      return second_list;
!   const int *p;
!   for (p = first_list; *p >= 0; p++)
      ;
    int len = p - first_list;
    for (p = second_list; *p >= 0; p++)
***************
*** 586,592 ****
  void index_search_item::add_out_of_date_file(int fd, const char *filename,
  					     int fid)
  {
!   for (search_item **pp = &out_of_date_files; *pp; pp = &(*pp)->next)
      if ((*pp)->is_named(filename))
        return;
    *pp = make_linear_search_item(fd, filename, fid);
--- 587,594 ----
  void index_search_item::add_out_of_date_file(int fd, const char *filename,
  					     int fid)
  {
!   search_item **pp;
!   for (pp = &out_of_date_files; *pp; pp = &(*pp)->next)
      if ((*pp)->is_named(filename))
        return;
    *pp = make_linear_search_item(fd, filename, fid);
